Change log for vim-latexsuite package in Ubuntu

122 of 22 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
vim-latexsuite (1:1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Upgrade to python3. (Closes: #839661)
  * debian/patches:
    - remove upstream applied patches and refresh
    - update changelog.diff.
  * debian/copyright: Update years.
  * Bump Standards-Version to 3.9.8.
  * Add debian/upstream/signing-key.asc and update debian/watch to new epoch.
  * debian/control: change Vcs-Browser to use https.

 -- Johann Felix Soden <email address hidden>  Tue, 29 Nov 2016 14:28:09 +0100

Available diffs

Superseded in zesty-release on 2016-11-30
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
vim-latexsuite (20141116.812-2) unstable; urgency=medium

  * Use python2.7 instead of python2 in python scripts
    and depend accordingly on python2.7 for lintian.

 -- Johann Felix Soden <email address hidden>  Tue, 25 Aug 2015 00:01:33 +0200
Superseded in wily-proposed on 2015-09-01
vim-latexsuite (20141116.812-1) unstable; urgency=medium

  * New upstream snapshot
  * Drop deprecated and unused pysupport build dependency.
    Thanks to Martin Pitt <email address hidden> (Closes: #786115)
  * debian/rules: Make build reproducible.
    Thanks to Chris Lamb <email address hidden> (Closes: #776727)
  * Bump Standards-Version to 3.9.6.
  * debian/copyright: Update years.
  * Lintian fix: Depend on python2 instead of python.

 -- Johann Felix Soden <email address hidden>  Thu, 20 Aug 2015 03:30:08 +0200
Superseded in wily-release on 2015-09-01
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-23
Deleted in trusty-proposed (Reason: moved to release)
vim-latexsuite (20130116.788-1) unstable; urgency=low


  * New upstream snapshot
  * debian/patches:
    - remove upstream applied patches
    - update changelog.diff
  * debian/copyright: update years.
  * debian/{compat,control,rules}: switch to debhelper compat v9.
  * debian/control:
   - bump Standards-Version to 3.9.4.
   - add explicit dep and build-dep on python to fix lintian error.
   - use anonscm.debian.org in VCS-* fields.

 -- Johann Felix Soden <email address hidden>  Mon, 14 Oct 2013 00:25:26 +0200

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
vim-latexsuite (20120125.768-2) unstable; urgency=low


  * Include latest upstream changes.
  * Add shortcut for iota.
    Thanks to Alessandro Pezzoni <email address hidden>
  * debian/*: Change my e-mail address and remove DM upload rights.
  * debian/copyright: update to coyright-format 1.0.
  * debian/control: bump Standards-Version to 3.9.3.

 -- Johann Felix Soden <email address hidden>  Sun, 13 May 2012 14:27:15 +0200

Available diffs

Superseded in quantal-release on 2012-05-24
vim-latexsuite (20120125.768-1) unstable; urgency=low


  * New upstream snapshot
  * debian/patches:
    - refresh disabledby.diff
    - update changelog.diff
  * debian/copyright: use latest DEP5 format and update years and
    upstream maintainers.
  * debian/control: bump Standards-Version to 3.9.2.
  * debian/README.Debian: fix spelling mistake.

 -- Johann Felix Soden <email address hidden>  Sat, 28 Jan 2012 11:31:43 +0100
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
vim-latexsuite (20110214.1049-1) unstable; urgency=low

  * New upstream snapshot
  * Add patch to fix double backslash in math environment replacement.
    Thanks to C├ędric Boutillier <email address hidden>
    (Closes: #590926)
  * debian/control: bump Standards-Version to 3.9.1.
  * debian/copyright: update copyright years and upstream maintainers.
  * debian/watch: update to new upstream package naming.
  * debian/patches:
    - remove upstream-applied patches and refresh
    - update cangelog.diff
  * Remove obsolete svn-layout files from debian/.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:57:55 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
vim-latexsuite (20100129-2) unstable; urgency=low

  * Add patch for removing error-prone default errorformats.
    (Closes: #582100)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  14 Jun 2010 09:49:57 +0100

Available diffs

Superseded in maverick-release on 2010-06-14
vim-latexsuite (20100129-1) unstable; urgency=low

  * New upstream snapshot
  * Pick upstream changeset 1105: fix wrong usage of fnameescape
  * debian/control: Update standards-version to 3.8.3
  * debian/patches:
   - remove upstream-applied patches and refresh
   - fix warning on double-loading in disabledby.diff
   - update changelog.diff
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:06:49 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
vim-latexsuite (20091230-3) unstable; urgency=low

  * debian/bug/vim-latexsuite/presubj: Correct the link to README.Debian
    (Closes: #565464)
  * Adding a 'not enabled by default'-note to the package description
    and debian/bug/vim-latexsuite/presubj (Closes: #565463)
  * Fix error on both system-wide and local install (Closes: #444426)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  02 Feb 2010 00:01:31 +0000

Available diffs

Superseded in lucid-release on 2010-02-02
vim-latexsuite (20091230-2) unstable; urgency=low

  * Move the version dependency from vim to vim-common to support vim
    variants (Closes: #564335)

Available diffs

Superseded in lucid-release on 2010-01-22
vim-latexsuite (20091002-2) unstable; urgency=low

  * Force redraw after latex run (Closes: #365572)
  * debian/control: add "DM-Upload-Allowed"-field
  * Convert package to the 3.0 (quilt) source format.
   - add debian/source/format
   - remove debian/README.source
   - debian/control: remove quilt from Build-Depends
   - debian/rules: do not use quilt dh addon anymore
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  05 Jan 2010 06:07:41 +0000

Available diffs

Superseded in lucid-release on 2010-01-05
vim-latexsuite (20091002-1) unstable; urgency=low

  * New upstream snapshot
  * Adopt the package (Closes: #454323)
  * Support labels after \% (Closes: #381161)
  * Preserve primary paste buffer during project loading
    (Closes: #280793)
  * Add patch for replacing the prefix at completion (Closes: #481524)
  * debian/patches:
   - remove patches which are unused or applied by upstream
   - update debian/patches/changelog.diff
   - refresh disabledby.diff
  * debian/control
   - update Vcs-* fields
   - add build-dep on quilt with debhelper 7 support
   - add build-dep on python-support, so ${python:Depends} is set.
  * debian/dirs: don't create empty dir /usr/share/lintian/overrides/
  * debian/copyright: use GPL 2+ instead of versionsless GPL for
    debian/*

Available diffs

Obsolete in hardy-updates on 2015-04-24
Deleted in hardy-proposed on 2015-04-30 (Reason: moved to -updates)
vim-latexsuite (20060325-4.1ubuntu0.1) hardy-proposed; urgency=low

  * Some symlink corrections in debian/vim-registry/vim-latexsuite.yaml.
    Patch provided by Yusef Maali (LP: #225411).

 -- Albrecht Muehlenschulte <email address hidden>   Sun, 01 Jun 2008 19:28:26 +0200
Superseded in lucid-release on 2009-11-06
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
vim-latexsuite (20060325-5) unstable; urgency=low

  * Orphaning the package.  Maintainer set to Debian QA Group.
  * debian/vim-registry/vim-latexsuite.yaml:
    - Remove the entries for the "BORKENFILES" from the registry file.
      (Closes: #446080)
  * debian/control:
    - Remove the version from the vim-common Depends since it is available in
      etch.
    - Remove the gvim Depends alternative since all vim variant packages
      Provide vim.
    - Depend on vim-python | python now that all vim variant packages that
      have python support Provide vim-python.  (Closes: #459957)
    - Bump Standards-Version to 3.7.3 -- no changes needed.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:32:42 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
vim-latexsuite (20060325-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Delete the broken files in the installation directory, not in the source
    tree, which fixes the double-build FTBFS (Closes: #441730).

Superseded in hardy-release on 2007-10-24
Obsolete in gutsy-release on 2011-09-16
vim-latexsuite (20060325-3) unstable; urgency=low

  * debian/patches/
    - renamed patches removing heading numeric prefix: it is not needed, the
      order is set by 00list
    - added disabledby.dpatch which enables disabling the whole latex-suite by
      defining the global did_latexSuite_disabled variable; changed 00list
      accordingly to apply the new patch
  * debian/vim-registry/vim-latexsuite.yaml
    - added the 'disabledby:' field which enables automatic disabling on the
      latex-suite via vim-addons

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  27 Apr 2007 13:29:03 +0100
Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
vim-latexsuite (20060325-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * Acknowledging NMU by Sergei Golovan, integrated changes marked below
  * Added latexsuite entry for the Vim add-on registry
  * debian/control
    - added texlive-base-bin as an alternative Recommends for tetex-bin
      (Closes: #378294)
    - added XS-Vcs-Svn field pointing to our repo
    - added myself to the Uploaders field
    - moved debhelper and dpatch from Build-Depends-Indep to Build-Depends as
      required by Policy Manual, section 7.6 (NMU ack)
  * debian/lintian-override
    - override false positive python-script-but-no-python-dep because there is
      a dependency on vim-full, which depends on python (NMU ack)
  * debian/vim-registry/
    - converted the registry file to the new YAML format
    - renamed vim registry to follow the packagename.yaml convention
  * debian/rules
    - added binary-arch and binary-indep targets to debian/rules as required
      by Policy Manual, section 4.8 (NMU ack) (Closes: #395810)

  [ Franz Pletz ]
  * Fixed mapping InsertItemOnThisLine by preventing it to reenter insert
    mode, see 03_insertitem.dpatch (Closes: #350021)
  * Fixed adding extension twice in ftplugin/latex-suite/outline.py, see
    04_fname_outline.dpatch (Closes: #365152)
  * debian/rules: Removed useless debhelper calls
  * Bumped standards-version to 3.7.2, no changes necessary

 -- William Grant <email address hidden>   Mon,  29 Jan 2007 11:23:53 +0000
Superseded in feisty-release on 2007-01-29
Obsolete in edgy-release on 2008-06-19
vim-latexsuite (20060325-1) unstable; urgency=medium

  * The 'Spring Cleaning' release (Thanks for the suggestion, Artur)
  * New upstream release (Closes: #350784, #323304)
  * New maintainer (Closes: #307166)
  * Updated standards-version to 3.6.2
  * Moved to debhelper compatibility level 5
  * Made debian/copyright compliant to standards
  * Updated debian/watch to version 3 (Closes: #312079)
  * Fixed permissions in debian/rules for debian/bug/script and
    ftplugin/latex-suite/outline.py (Closes: #308938)
  * Enhanced description
  * Moved RELEASE-1.5.txt to the debian directory
  * Changed version numbering scheme from 0.<date> to <date>
  * Removed useless lintian overrides

  [ Debian Vim Maintainers ]
  * Corrected typos in README.Debian
  * Simplified debian/rules and added dpatch-rules
  * Added vim-full as an alternative to vim-python in Depends (all features
    provided by vim-python are also provided by vim-full)

  [ Artur R. Czechowski ]
  * Patches:
    + (new) 01_foldingfix.dpatch: properly fixes folding. (See: #246798)
    + (new) 02_changelog.dpatch - upstream does not provide Changelog in
      tarball so we fetch it from website manually
  * debian/control:
    + Recommends tetex-bin instead of latex (unavailable now)
    + Depends on vim-common >= 1:6.4-004+1 to get vimrc without mapped "p"
      key in visual mode (Closes: #301078), additionaly, helpztags has been
      moved into vim-common long time ago
  * debian/postinst:
    + Because vim 6.3 is in stable we do not need ugly hacks related to
      dpkg-divert, vim 6.1 and old vim-latexsuite
    + helpztags runs only in configure stage
  * debian/postrm:
    + helpztags runs only in remove stage, not in purge (Closes: #355711)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 16:07:22 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
vim-latexsuite (0.20041219-2) unstable; urgency=medium


  * Documentation is sometimes unavailable (see #307906). Workaround
    and information required in bugreport are mentioned in
    - bug script and presubj
    - README.Debian
    - NEWS
  * Suggest vim-python dependency to correctly handle mutliple compilation
    (Closes: #296571)

 -- Artur R. Czechowski <email address hidden>  Sun,  8 May 2005 00:23:22 +0200
Obsolete in hoary-release on 2008-03-19
vim-latexsuite (0.20040805-1) unstable; urgency=low


  * Long awaiting new upstream release. It has a lot of bugfixes, either
    submitted to Debian BTS or to upstream, so urgency is medium.
    + Force matching case with the \C pattern (Closes: #237648)
    + Fixed <Alt-key> mapping (Closes: #256704)
  * Fixed: fails to fold properly if anything precedes \end{foo}
    (Closes: #246798)

 -- Artur R. Czechowski <email address hidden>  Mon,  9 Aug 2004 01:58:05 +0200
Obsolete in warty-release on 2008-01-09
vim-latexsuite (0.20040314-1) unstable; urgency=low


  * New upstream release
    + Alt-I which inserts an \item is used in some languages for typing
      eaccute (Closes: #237623)
  * Upstream marks files for remove instead removing it. So we need to remove
    it for ourselfs in Makefile

 -- Artur R. Czechowski <email address hidden>  Mon,  5 Apr 2004 21:29:47 +0200
122 of 22 results